	%include "bigendian.inc"
	%include "string.inc"

%macro miatxt %s\desc: %equ #1\ %endmacro
%macro chdisk %s\%def8	":",#1,0\ %endmacro
%macro subdir %s\%def8	"\",#1,0\ %endmacro
%macro rename %s as %s
	%def8	">"
	instr(1,#1,".")
	%if tniasm#instr > 0
		%def8	mid$(#1,0,tniasm#instr-1)
		%defb	9 - tniasm#instr," "
		%def8	mid$(#1,tniasm#instr-1,4)
		%defb	3 - %len(mid$(#1,tniasm#instr,3))," "
	%else
		%error "Missing '.'"
	%endif
	instr(1,#2,".")
	%if tniasm#instr > 0
		%def8	mid$(#2,0,tniasm#instr-1)
		%defb	9 - tniasm#instr," "
		%def8	mid$(#2,tniasm#instr-1,4)
		%defb	3 - %len(mid$(#2,tniasm#instr,3))," "
	%else
		%error "Missing '.'"
	%endif
%endmacro
%macro addips %s\addips #1 + ".ips" as #1\ %endmacro
%macro addips %s as %s
	instr(1,#2,".")
	%if tniasm#instr > 0
		%def8	mid$(#2,0,tniasm#instr-1)
		%defb	9 - tniasm#instr," "
		%def8	mid$(#2,tniasm#instr-1,4)
		%defb	3 - %len(mid$(#2,tniasm#instr,3))," "
		be32	.#len
.#ips:		%incbin #1
.#len:		%equ	%apos - .#ips
	%else
		%error "Missing '.'"
	%endif
%endmacro

%if #0 > 1
%outfile #2
%def8	"MIA11",13,10
%if %def(desc)
%def8	desc
%endif
%def8	26
be16	12
be32	miaLen
%include #1
miaLen:	%equ	%fpos
%else
%print "usage: tniasm mia <source list> <output mia>"
%endif
